
/* COMPRE SEU WIKI */

.filtro_inicio.compre-seu-wiki .container{
    display: flex;
    justify-content: space-between;
}
.filtro_inicio.compre-seu-wiki .titulo {
    text-transform: inherit;
    font-size: 20px;
    color: #000000;
    font-weight: bold;
    align-items: center;
    display: flex;
}

.filtro_inicio.compre-seu-wiki li:last-child{ 
    border:none;
    padding: 0;
}

.filtro_inicio.compre-seu-wiki li:nth-child(3){ 
    padding: 5px 15px;
}
.filtro_inicio.compre-seu-wiki li:nth-child(3) img{ 
    width: 25px;
}

.filtro_inicio.compre-seu-wiki li:last-child:hover{
    background: transparent; 
    color: #f3765b;
    cursor: inherit;
}

.filtro_inicio.compre-seu-wiki li:last-child span {
    margin-right: 10px;
}

.filtros li {
    position: relative;
}


/** btn-switch
 -------------------------------------*/
/* The switch - the box around the slider */
.btn-switch {
    position: relative;
    display: inline-block;
    width: 65px;
    height: 28px;
  }
  
  /* Hide default HTML checkbox */
  .btn-switch input {
    opacity: 0;
    width: 0;
    height: 0;
  }
  
  /* The slider */
  .slider {
    position: absolute;
    cursor: pointer;
    top: 0;
    left: 0;
    right: 0;
    bottom: 0;
    background-color: #ccc;
    -webkit-transition: .4s;
    transition: .4s;
  }
  
  .slider:before {
    position: absolute;
    content: "";
    height: 20px;
    width: 20px;
    left: 4px;
    bottom: 4px;
    background-color: white;
    -webkit-transition: .4s;
    transition: .4s;
  }
  
  input:checked + .slider {
    background-color: #f3765b;
  }
  
  input:focus + .slider {
    box-shadow: 0 0 1px #f3765b;
  }
  
  input:checked + .slider:before {
    -webkit-transform: translateX(26px);
    -ms-transform: translateX(26px);
    transform: translateX(26px);
  }
  
  /* Rounded sliders */
  .slider.round {
    border-radius: 34px;
  }
  
  .slider.round:before {
    border-radius: 50%;
  }



/* Filtro Inicio */

.filtro_inicio{
    background: white;
    padding: 30px 0;
    display: flex;
    align-items: center;
    justify-content: center;
}

.filtro_inicio .titulo {
    text-transform: uppercase;
    font-size: 18px;
    color: #f3765b;
    font-weight: bold;
}

.filtro_inicio .filtros {
    display: flex;
    margin-left: 30px;
}

.filtro_inicio .filtros li {
    list-style: none;
    margin: 0 10px;
    border: 2px solid black;
    border-radius: 10px;
    padding: 10px;
    font-size: 14px;
    display: flex;
    align-items: center;
}

.filtro_inicio .filtros li img {
    width: 15px;
    margin-right: 5px;
}

.filtro_inicio .filtros li.flex-row-reverse img {
    margin: 0 0 0 5px;
}

.filtro_inicio .filtros select {
    -webkit-appearance: none;
    -moz-appearance: none;
    text-indent: 1px;
    text-overflow: '';
    font-family: 'OverpassMono-Regular';
    border: none;
    background: transparent ;
}

.filtro_inicio .filtros li:hover {
    background: black;
    color: #d8d8d8;
    cursor: pointer;
}

.filtro_inicio .filtros li:hover select {
    color: #d8d8d8;
}




#top_bar {
    background: #3f51b5;
    text-align: center;
    padding: 15px;
    color: white;
    font-weight: 700;
}

.open-mobile-menu {
    display: none;
}

#header_bar {
    position: fixed;
    z-index: 99;
    width: 100%;
    background: white;
    top: 0;
}

#header_bar .heading-line {
    padding: 15px 0;
}
#header_bar .logo img {
    height: 45px;
}
#header_bar .heading-line .menu ul li a {
    text-transform: uppercase;
    color: black;
    font-size: 17px;
}
#header_bar .heading-line .menu ul li {
    list-style: none;
}
#header_bar .heading-line .menu ul {
    display: flex;
    padding: 0;
    height: 100%;
    align-items: center;
    justify-content: space-around;
}
#header_bar .heading-line .menu ul li a:hover{
    color: #657f1d;
    text-decoration: none;
}

#the-filter-fields {
    height: 0px;
    width: 100%;
    position: fixed;
    background-color: rgba(241, 241, 241, 0.93);
    z-index: 999999;
    transition: .5s ease-in-out;
    margin-top: 0;
    overflow: auto;
    display: flex;
    flex-direction: column;
    align-items: center;
    justify-content: flex-start;
    top: 0;
 
}


#the-filter-fields .keywords {
    width: 100%;
    padding: 10px 20px;
    border-radius: 50px;
    border: 2px solid #d8d8d8;
    margin-bottom: 10px;
    background: #fbfafa;
}

#the-filter-fields .the-filter-col {
    padding: 0 20px;
}

#the-filter-fields::-webkit-scrollbar {
    width: 0px;
  }
   
#the-filter-fields::-webkit-scrollbar-track {
    box-shadow: transparent;
  }
   
#the-filter-fields::-webkit-scrollbar-thumb {
    background-color:transparent;
    outline: none;
  }

#the-filter-fields.active {
    height: 100vh;
    padding-bottom: 80px;
    overflow: auto;
}

#the-filter-fields select {
    margin-bottom: 30px;
    padding: 10px 20px;
    width: 100%;
    background: #fbfafa;
    border: 2px solid #d8d8d8;
    border-radius: 40px;
    color: #6a6a6a;
    font-size: 15px;
}

#the-filter-fields select.active {
    position: relative;
}

#the-filter-fields #get-filter:hover {
    background: #20975c;
    cursor: pointer;
}

#the-filter-fields #get-filter {
    width: 60%;
    margin-top: 40px;
    border-radius: 50px;
    border: none;
    padding: 10px;
    background: #2d2d2d;
    color: white;
    text-transform: uppercase;
    transition: .5s ease-in-out;
    -webkit-transition: .5s ease-in-out;
    -moz-transition: .5s ease-in-out;
    -ms-transition: .5s ease-in-out;
    -o-transition: .5s ease-in-out;
}

#the-filter-fields .select-wrap {
    width: 100%;
    display: flex;
}

#the-filter-fields .filter-field-title {
    font-size: 20px;
    font-weight: 600;
    margin: 10px 0;
    display: flex;
    align-items: flex-start;
    flex-direction: column;
}

#the-filter-fields .filter-field-title span a{
    margin: 0;
    margin-bottom: 10px;
}
#the-filter-fields .MuiSlider-track, #the-filter-fields .MuiSlider-rail {
    height: 4px;
}

.filter-price-range .MuiSlider-root {
    color: #ea5340;
    height: 4px;
}

#the-filter-fields .MuiSlider-mark {
    display: none;
}

#the-filter-fields .content input {
    position: absolute;
    opacity: 0;
    cursor: pointer;
    height: 0;
    width: 0;
  }
  
#the-filter-fields .checkmark {
    position: absolute;
    top: 0;
    left: 0;
    height: 20px;
    width: 20px;
    border: 1px solid #989797;
    border-radius: 5px;
  }

#the-filter-fields .category-listbox, #the-filter-fields .category-listbox li {
    position: relative;
    display: flex;
    flex-wrap: wrap;
}

#the-filter-fields .category-listbox li  {
    margin: 0 10px 10px 0;
}

#the-filter-fields .category-listbox li label {
    padding-left: 28px;
    font-size: 14px;
    display: inline-block;
    margin-bottom: .5rem;
}

#the-filter-fields .category-listbox li label:hover {
    cursor: pointer;
}
  
#the-filter-fields .content:hover input ~ .checkmark {
    background-color: #ccc;
    cursor: pointer;
  }
  
#the-filter-fields .content input:checked ~ .checkmark {
    background-color: #ea5340;
    border: 1px solid #ea5340;
  }
  
#the-filter-fields .checkmark:after {
    content: "";
    position: absolute;
    display: none;
  }
  
#the-filter-fields .content input:checked ~ .checkmark:after {
    display: block;
  }
  
#the-filter-fields .content .checkmark:after {
    left: 7px;
    top: 3px;
    width: 5px;
    height: 10px;
    border: solid white;
    border-width: 0 3px 3px 0;
    -webkit-transform: rotate(45deg);
    -ms-transform: rotate(45deg);
    transform: rotate(45deg);
  }


.category-filter .filter-field-title span a {
    color: #ea5340;
    font-weight: 400;
    font-size: 13px;
    display: flex;
    align-items: center;
    margin-left: 10px;
    justify-content: center;
    line-height: 15px;
    border-bottom: 1px solid #ea5340;
}
.category-filter .filter-field-title span a:hover {
    cursor: pointer;
}

.filter-fields {
    width: 100%;
}

.loadingField {
    position: absolute;
    margin-top: 0;
    background: #e2e2e2;
    width: 60%;
    border-radius: 50px;
    border: none;
    padding: 15px;
    text-align: center;
    display: none;
    align-items: center;
    justify-content: center;
}


/* Filter Buttons */

.filter-buttons {
    display: flex;
}

.filter-buttons li {
    position: relative;
    width: 40px;
    display: flex;
    align-items: center;
    justify-content: center;
    margin-right: 10px;
    height: 40px;
}

#the-filter-fields .filter-buttons li label {
    width: 40px;
    height: 40px;
    display: flex;
    align-items: center;
    justify-content: center;
    color: #989797;
}

#the-filter-fields .filter-buttons input:checked {
    color: red;
}

#the-filter-fields .filter-buttons li .checkmark {
    width: 35px;
    height: 35px;
    border-radius: 150px;
}


#the-filter-fields .filter-buttons input:checked ~ .checkmark:after {
    display: none;
}

#the-filter-fields .filter-buttons li .checkmark .value {
    display: none;
}

#the-filter-fields .filter-buttons input:checked ~ .checkmark .value,
#the-filter-fields .filter-buttons input:hover ~ .checkmark .value {
    display: flex;
    align-items: center;
    justify-content: center;
    color: white;
    height: 100%;
    width: 100%;
}

#the-filter-fields .filter-buttons input:hover ~ .checkmark {
    background: #ee7465;
    border: 1px solid #ee7465;
}


.loadingField.active {
    display: flex;
    

}


.loadingField img {
    height: 25px;
}

.loadingField.active img {
    animation: rotation 1s infinite linear;
    -webkit-animation: rotation 1s infinite linear;
}
  
@keyframes rotation {
    from {
    transform: rotate(0deg);
    }
    to {
    transform: rotate(359deg);
    }
}
  


/* Filter heading */


.filter-heading {
    width: 100%;
    background: white;
    height: 70px;
    display: flex;
    align-items: center;
    margin-bottom: 40px;
    position: sticky;
    top: 0;
    z-index: 999;
}

.filter-heading .container {
    display: flex;
    justify-content: space-between;
}

.filter-heading .container .filter-title {
    font-size: 24px;
    font-weight: 700;
    text-transform: uppercase;
    height: 60px;
    align-items: center;
    display: flex;
}

.filter-heading #callFilter {
    display: flex;
    align-items: center;
}

.filter-heading .container #callFilter svg { 
    color: #2d2d2d;
    width: 1.4em;
    height: 1.4em;
}
.filter-heading .container #callFilter svg:hover {
    color: #ea5340;
}


/* Switch button */

.btn-switch {
    position: relative;
    display: inline-block;
    width: 65px;
    height: 28px;
}
/* The switch - the box around the slider */
.switch {
    position: relative;
    display: inline-block;
    width: 50px;
    height: 23px;
  }
  
  /* Hide default HTML checkbox */
  .switch input {
    opacity: 0;
    width: 0;
    height: 0;
  }
  
  /* The slider */
  .slider {
    position: absolute;
    cursor: pointer;
    top: 0;
    left: 0;
    right: 0;
    bottom: 0;
    background-color: #ccc;
    -webkit-transition: .4s;
    transition: .4s;
  }
  
  .slider:before {
    position: absolute;
    content: "";
    height: 20px;
    width: 20px;
    left: 4px;
    bottom: 4px;
    background-color: white;
    -webkit-transition: .4s;
    transition: .4s;
}
  
  input:checked + .slider {
    background-color: #ea5340;
  }
  
  input:focus + .slider {
    box-shadow: 0 0 1px #ea5340;
  }
  
  input:checked + .slider:before {
    -webkit-transform: translateX(26px);
    -ms-transform: translateX(26px);
    transform: translateX(26px);
  }
  
  /* Rounded sliders */
  .slider.round {
    border-radius: 34px;
  }
  
  .slider.round:before {
    border-radius: 50%;
  }